#include "TCP.h"

static EthernetMaketClient tcpSock[MAX_SOCK_NUM];

using TCP_SESSION = SOCKET;

TCP_SESSION newConnection(IPAddress ip, uint16_t port, bool nonBlock = true){
    for(int i = 0; i < MAX_SOCK_NUM; i++){
        if(tcpSock[i].status() == SnSR::CLOSED){
            tcpSock[i].startConnection(ip, port, nonBlock);
            return i;
        }
    }
    return MAX_SOCK_NUM;
}
